io.undertow.server.protocol.http

## Interface HttpContinue.ContinueResponseSender

Enclosing class:
  HttpContinue

    public static interface HttpContinue.ContinueResponseSender

A continue response that is in the process of being sent.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `awaitWritable()`
`void` `awaitWritable(long time, TimeUnit timeUnit)`
`boolean` `send()` Continue sending the response.

### Method Detail

#### send

    boolean send()
          throws IOException

Continue sending the response.

Returns:
  true if the response is fully sent, false otherwise.
Throws:
  `IOException`

#### awaitWritable

    void awaitWritable()
                throws IOException

Throws:
  `IOException`

#### awaitWritable

    void awaitWritable(long time,
                       TimeUnit timeUnit)
                throws IOException

Throws:
  `IOException`